# Krys4lide

Logiciel de pharmacie

## Development

### Prerequisites

- [Rust](https://www.rust-lang.org/tools/install)
- [Node.js](https://nodejs.org/en/download/)
- [npm](https://www.npmjs.com/get-npm)
- [TailwindCSS Standalone](https://tailwindcss.com/blog/standalone-cli) ([Latest binaries](https://github.com/tailwindlabs/tailwindcss/releases/latest))
    - Make the binary available in your PATH as `tailwindcss` command

### Setup

```shell
cargo install cargo-watch
cargo install tauri-cli --version "^2.0.0-beta"
```

### Run

#### Run the TailwindCSS watcher

To watch for changes in the CSS & HTML files and update the style.css file accordingly, run the following command:

```shell
tailwindcss -i ./templates/assets/css/input.css -o ./assets/css/style.css --watch
```

#### Run the application - in Tauri

```shell
cargo tauri dev
```

#### Run the application - in the browser

```shell
cargo watch -x run
```


## Production

### Build - in Tauri

- [] TODO : Fix the assets missing in the final build

```shell
tailwindcss -i ./templates/assets/css/input.css -o ./assets/css/style.css --minify
cargo tauri build
```

### Build - in the browser

```shell
tailwindcss -i ./templates/assets/css/input.css -o ./assets/css/style.css --minify
cargo build --release
```